Subject: console support under win32
From: [email-masked] (root)

24 Jan 1997 21:52:01 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Content-Length: 830       
Original-Sender: [email-masked]

[email-masked] writes:
> 2. I have seen people mention compiling with "internal or default"
> console/terminal support, I am assuming that this is a common thing, can
> anyone tell me how exactly it is done?
> 

Look at the 'Consoles and Character-Mode Support' in the SDK documentation.
This is the 'curses' equivalent of Win95: you use high level functions to
access the text screen like WriteConsole, ReadConsole etc. They use a 
'CHAR_INFO' structure, and you can set colors, highlight, etc. You can
write at specific screen positions using WriteConsoleOutput specifying the
coordinates in a COORD structure. But I think a full blown explanation
would be too much for this mailing list... :-)

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".